export namespace LocalModels {
    function beanToObject(bean: object) {
        let result = {}
        Object.keys(bean).forEach(function (key) {
            result[key] = bean[key]
        })
        return result
    }

    export class Area {
        sheng: string
        shi: string
        qu: string
        weidu: number
        jingdu: number
        hour: number
        minute: number
        second: number
        shiPinYin: string
        quPinYin: string
    }

    export class NongLi {
        date: string
        month: string
        day: string
        year: number
    }

    export class BaseResponse {
        code: number
        msg: string

        isSuccess() {
            return this.code == 0
        }

        isError() {
            return this.code < 0
        }

        isLargeError() {
            return this.code == -100
        }

        static build(responseText: string) {
            let rsp = new BaseResponse()
            try {
                let obj = JSON.parse(responseText)
                rsp.code = obj["code"]
                rsp.msg = obj["msg"]
            } catch (e) {
                rsp.code = -1
                rsp.msg = "解析错误"
            }
            return rsp
        }
    }

    export class BaseRequest {

        toData() {
            return beanToObject(this)
        }
    }

    export class UserRequest extends BaseRequest {
        user_name: string = ""
        is_man: boolean = false
        date_mode: number = 0
        born_year: number = 0
        born_month: number = 0
        born_day: number = 0
        know_time: number = 0
        born_hour: number = 0
        born_minute: number = 0
        born_sheng: string = ""
        born_shi: string = ""
        born_qu: string = ""
        open_id: string = ""
    }
}