import {ElMessage} from "element-plus";
import {h} from "vue";
import Cookies from "universal-cookie";

export namespace Tools {
    export function showMessage(msg: string) {
        ElMessage({
            message: h('p', null, [
                h('i', {style: 'color: black'}, msg),
            ]),
        })
    }

    export function getTextTypeOfWuXing(wuxing: string) {
        let type = "info"
        if (wuxing == "木") {
            type = "success"
        } else if (wuxing == "火") {
            type = "danger"
        } else if (wuxing == "土") {
            type = "info"
        } else if (wuxing == "金") {
            type = "warning"
        } else if (wuxing == "水") {
            type = "primary"
        }
        return type
    }

    export function getPowerState(power: number) {
        let result = "?"
        switch (power) {
            case 100:
                result = "旺"
                break
            case 80:
                result = "相"
                break
            case 60:
                result = "休"
                break
            case 40:
                result = "囚"
                break
            case 20:
                result = "死"
                break
        }
        return result
    }

    export function getColorByWuXing(wuxing: string) {
        let type = "#909399"
        if (wuxing == "木") {
            type = "#67C23A"
        } else if (wuxing == "火") {
            type = "#F56C6C"
        } else if (wuxing == "土") {
            type = "#909399"
        } else if (wuxing == "金") {
            type = "#E6A23C"
        } else if (wuxing == "水") {
            type = "#409EFF"
        }
        return type
    }

    export function getColorByGaoNeng(guanxi: string) {

        let type = "info"
        if (guanxi == "合") {
            type = "success"
        } else if (guanxi == "穿") {
            type = "danger"
        } else if (["刑", "冲", "破"].indexOf(guanxi) != -1) {
            type = "warning"
        } else if (["半合", "拱合"].indexOf(guanxi) != -1) {
            type = "primary"
        }
        return type
    }

    export function delay(func: () => void, time: number) {
        setTimeout(func, time)
    }

    export function setCookie(key: string, value: any, overtime: number = 1000 * 60 * 60 * 24 * 7) {
        let ck = new Cookies()
        ck.set(key, value, {path: "/", expires: new Date(Date.now() + overtime)})
    }

    export function getCookie(key: string) {
        let ck = new Cookies()
        return ck.get(key)
    }

    export function removeCookie(key: string) {
        let ck = new Cookies()
        ck.remove(key, {path: "/"})
    }
}